跳到主要內容

Linux/Ubuntu依照SMB版本去掛載分享

因為現在Windows分享的版本從SMBv1~SMBv3都有,所以用 mount.cifs時,常會跳出
mount error(95): Operation not supported
別擔心,有個快速的解法。
如果是 Samba,去修改 /etc/samba/smb.conf
但若是 mount.cifs怎麼辦呢? 我都會寫在 /etc/fstab裡,開機自動掛載呀!
mount -t cifs //伺服器/分享名 /media/掛載點/ -o user=使用者,domain=網域,password='密碼',vers=3.0
只要改這裡的版本1.0/2.0/3.0,就能任意指定SMB版本,收工!

留言

這個網誌中的熱門文章

自然人憑證讀卡機驅動程式

鳥毅用的是第一代的自然人憑證讀卡機,EZ100PU(後來有同事買EZmini可以讀SIM卡似乎更好),每年報稅時用一次。

本來只是要申請些政府業務,一時之間找不到光碟,沒想到在驅動程式下載居然看到Linux和Mac的驅動程式,剩下的就是政府單位的網頁和程式應該改版了吧!!!

在Windows Server設定L2TP over IPSec VPN

簡單地說,macOS Sierra與iOS 10發表後,大家忽然發現Apple不再支援PPTP,所以一定得設定其他的VPN型態。若不要另外裝client,用L2TP是最方便的,SSL VPN雖然好,但若沒有安裝Agent要連線到任一電腦或是非網頁服務還是挺麻煩的。